summaryrefslogtreecommitdiffstats
path: root/abs/core/e2fsprogs/e2fsprogs.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-10-23 18:17:40 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-10-23 18:19:39 (GMT)
commitadbcf19958300e9b6598990184c8815b945ba0ee (patch)
treef4283c850ac0ac202c17e78a637ee7ca8147621b /abs/core/e2fsprogs/e2fsprogs.install
parent61a68250df10d29b624650948484898334ff22d0 (diff)
downloadlinhes_pkgbuild-adbcf19958300e9b6598990184c8815b945ba0ee.zip
linhes_pkgbuild-adbcf19958300e9b6598990184c8815b945ba0ee.tar.gz
linhes_pkgbuild-adbcf19958300e9b6598990184c8815b945ba0ee.tar.bz2
Removed old core and extra from repo. Renamed -testing to core/extra. This will setup the base for the testing branch.
Diffstat (limited to 'abs/core/e2fsprogs/e2fsprogs.install')
-rw-r--r--abs/core/e2fsprogs/e2fsprogs.install23
1 files changed, 11 insertions, 12 deletions
diff --git a/abs/core/e2fsprogs/e2fsprogs.install b/abs/core/e2fsprogs/e2fsprogs.install
index e207eb4..f91d39f 100644
--- a/abs/core/e2fsprogs/e2fsprogs.install
+++ b/abs/core/e2fsprogs/e2fsprogs.install
@@ -1,21 +1,20 @@
- infodir=/usr/share/info
- filelist=(libext2fs.info.gz)
+infodir=/usr/share/info
+filelist=(libext2fs.info.gz)
- post_install() {
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
for file in ${filelist[@]}; do
install-info $infodir/$file $infodir/dir 2> /dev/null
done
+}
- }
+post_upgrade() {
+ post_install $1
+}
- post_upgrade() {
- post_install $1
- }
-
- post_remove() {
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
for file in ${filelist[@]}; do
install-info --delete $infodir/$file $infodir/dir 2> /dev/null
done
-
- }
-
+}